unit MRUDemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  mrfl, StdCtrls, Menus;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    N1: TMenuItem;
    PrintSetup1: TMenuItem;
    Print1: TMenuItem;
    N2: TMenuItem;
    SaveAs1: TMenuItem;
    Save1: TMenuItem;
    Open1: TMenuItem;
    New1: TMenuItem;
    Window1: TMenuItem;
    Show1: TMenuItem;
    Hide1: TMenuItem;
    N3: TMenuItem;
    ArrangeAll1: TMenuItem;
    Cascade1: TMenuItem;
    Tile1: TMenuItem;
    NewWindow1: TMenuItem;
    Memo1: TMemo;
    MostRecentUsedList1: TMostRecentUsedList;
    OpenDialog1: TOpenDialog;
    ClearMRUList1: TMenuItem;
    procedure Open1Click(Sender: TObject);
    procedure MostRecentUsedList1SelectFilename(Sender: TObject;
      Filename: string);
    procedure ClearMRUList1Click(Sender: TObject);
  private
    { Private declarations }
    procedure Load(Filename:String);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Open1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    begin
      Load(OpenDialog1.Filename);
      MostRecentUsedList1.AddFilename(OpenDialog1.Filename);
    end;
end;

procedure TForm1.MostRecentUsedList1SelectFilename(Sender: TObject;
  Filename: string);
begin
  Load(Filename);
end;

procedure TForm1.Load(Filename:String);
begin
  Memo1.Lines.LoadFromFile(Filename);
  Caption := Format('MRU Demo - [%s]',[Filename]);
end;

procedure TForm1.ClearMRUList1Click(Sender: TObject);
begin
  MostRecentUsedList1.Clear;
end;

end.
